> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Computes the KCV of the input blob and checks if
it matches the input KCV.

> Computes the KCV of the input blob and checks if
it matches the input KCV.

## OpenAPI

````json POST /crypto/v1/keys/kcv/verify
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/crypto/v1/keys/kcv/verify": {
      "post": {
        "operationId": "VerifyKcv",
        "tags": [
          "Keys"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Computes the KCV of the input blob and checks if\nit matches the input KCV.",
        "description": "Computes the KCV of the input blob and checks if\nit matches the input KCV.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/VerifyKcvRequest"
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VerifyKcvResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "VerifyKcvRequest": {
        "allOf": [
          {
            "type": "object",
            "description": "Verify KCV of a key",
            "properties": {
              "kcv": {
                "type": "string",
                "description": "Key Checksum Value. Could be one of following two variants:\n- Encrypt KCV: 24-bit checksum as a 6-character case-insensitive hex string (Default)\n- Cmac KCV: 40-bit checksum as a 10-character case-insensitive hex string\nNote: Cmac KCV is only available for AES or 3-key DES3 keys"
              },
              "value": {
                "type": "string",
                "format": "byte",
                "description": "Key material"
              },
              "obj_type": {
                "$ref": "#/components/schemas/ObjectType"
              },
              "kcv_method": {
                "$ref": "#/components/schemas/KcvMethod"
              }
            },
            "required": [
              "kcv",
              "value",
              "obj_type"
            ]
          }
        ]
      },
      "VerifyKcvResponse": {
        "allOf": [
          {
            "type": "object",
            "description": "Key Checksum Value verification status.",
            "properties": {
              "verified": {
                "type": "boolean",
                "description": "Verification status"
              }
            },
            "required": [
              "verified"
            ]
          }
        ]
      },
      "ObjectType": {
        "description": "Type of security object.",
        "type": "string",
        "enum": [
          "AES",
          "ARIA",
          "DES",
          "DES3",
          "SEED",
          "RSA",
          "DSA",
          "EC",
          "KCDSA",
          "ECKCDSA",
          "BIP32",
          "SLIP10",
          "BLS",
          "OPAQUE",
          "HMAC",
          "LEDABETA",
          "ROUND5BETA",
          "SECRET",
          "LMS",
          "XMSS",
          "MLDSA",
          "MLDSABETA",
          "MLKEM",
          "MLKEMBETA",
          "CERTIFICATE",
          "PBE"
        ]
      },
      "KcvMethod": {
        "description": "Methods for calculating a Key Checksum Value.",
        "type": "string",
        "enum": [
          "Encrypt",
          "Cmac"
        ]
      }
    }
  }
}
````

